import { JSDOM } from 'jsdom';
/**
 * clickRowByIndex will select the row of the table based on the index, where
 * the index will start at 0. If an index is greater than available rows an
 * exception will be thrown.
 */
export declare const getLocatorByIndex: (dom: JSDOM, rowIndex: number) => Promise<string>;
/**
 * findRowBy will return the index of the row in the DataTable if found.
 * Otherwise it will log out the attempted target and return -1.
 */
export declare const findRowBy: (tableData: {
    [key: string]: string;
}[] | null, targetColumn: string, targetValue: string | null | undefined) => number;
export type locatorId = {
    id: string;
    value: string;
};
export interface RowData<T> {
    [key: string]: T;
}
export declare function buildData<T>(rows: T[][], headers: string[]): RowData<T>[];
